Skip to main content
GET
Live Insider Trading
Plan: Trader or above. A Hobbyist plan gets a 403 from this endpoint. See Plans and data access.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

date
string<date>

Date, formatted as YYYYMMDD

limit_codes
boolean

Limit codes for form4 search

page
integer

Page number

page_size
integer

Items / page

ticker
string

Ticker for any given stock

uploaded
string<date>

Date the transaction was uploaded, formatted as YYYYMMDD

Response

200 - application/json
Date
string<date-time>
required

Transaction date

Name
string
required

Name of transactor

AcquiredDisposedCode
string
required

Indicates whether transaction was share acquisition or disposal

TransactionCode
string
required

Indicates type of transaction (see more: https://www.sec.gov/files/forms-3-4-5.pdf)

fileDate
string<date-time>
required

Time that the transaction was filed (and became publicly available)

Ticker
string

Company ticker

Shares
number

Number of shares transacted

PricePerShare
number

Reported price per share transacted

SharesOwnedFollowing
number

Number of shares owned by insider following transaction

officerTitle
string

Corporate title of the transactor

isDirector
boolean

Whether the transactor is a director of the company

isOfficer
boolean

Whether the transactor is an officer of the company

isTenPercentOwner
boolean

Whether the transactor is a 10% owner of the company

isOther
boolean

The transactor is not a director, officer, or 10% owner

directOrIndirectOwnership
string

Ownership type ('D' or 'I')

uploaded
string<date-time>

Time that the transaction was uploaded by Quiver